Index: orxonox/branches/physics/src/util/physics/field.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/field.cc	(revision 4179)
+++ 	(revision )
@@ -1,57 +1,0 @@
-/* 
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: Benjamin Grauer
-   co-programmer: ...
-*/
-
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
-
-#include "field.h"
-
-using namespace std;
-
-
-/**
-   \brief standard constructor
-   \todo this constructor is not jet implemented - do it
-*/
-Field::Field () 
-{
-   this->setClassName ("Field");
-}
-
-
-/**
-   \brief standard deconstructor
-
-*/
-Field::~Field () 
-{
-  // delete what has to be deleted here
-}
-
-
-/**
-   \param magnitude the magnitude of the Field.
-*/
-void Field::setMagnitude(const float& magnitude)
-{
-  this->magnitude = magnitude;
-}
-
-/**
-   \param attenuation The attenuation of the Field (the bigger the smaller the region of influence)
-*/
-void Field::setAttenuation(const float& attenuation)
-{
-  this->attenuation = attenuation;
-}
Index: orxonox/branches/physics/src/util/physics/field.h
===================================================================
--- orxonox/branches/physics/src/util/physics/field.h	(revision 4179)
+++ 	(revision )
@@ -1,59 +1,0 @@
-/* 
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: Benjamin Grauer
-   co-programmer: ...
-*/
-
-/*! 
-    \file field.h
-    \brief abstract definition of a Physical Field
-
-    This is a totally abstract class, that only enables different Physical Fields to 
-    exist on a common Level.
-*/
-
-#ifndef _FIELD_H
-#define _FIELD_H
-
-#include "p_node.h"
-
-// FORWARD DEFINITION
-
-
-
-//! An abstract class that represents a Force.
-class Field : public PNode 
-{
- public:
-  Field();
-  virtual ~Field();
-
-  /** 
-      \param data This is the data given to this force, to calculate the ForceVector
-      \returns The Force Vector
-  */
-  virtual Vector& calcForce(Vector& data) = 0;
-
-  void setMagnitude(const float& magnitude);
-  /** \returns The Magnitude of the Field */
-  const float& getMagnitude(void) const {return this->magnitude;}
-
-  void setAttenuation(const float& attenuation);
-  /** \returns The Attenuation of the Fiels */
-  const float& getAttenuation(void) const {return this->attenuation;}
-
- private:
-  float magnitude;                //!< The strength of the field
-  float attenuation;              //!< The Attenuation (the bigger the shorter the influenced distance).
-};
-
-#endif /* _FIELD_H */
Index: orxonox/branches/physics/src/util/physics/fields/field.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/fields/field.cc	(revision 4180)
+++ orxonox/branches/physics/src/util/physics/fields/field.cc	(revision 4180)
@@ -0,0 +1,57 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "field.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+Field::Field () 
+{
+   this->setClassName ("Field");
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+Field::~Field () 
+{
+  // delete what has to be deleted here
+}
+
+
+/**
+   \param magnitude the magnitude of the Field.
+*/
+void Field::setMagnitude(const float& magnitude)
+{
+  this->magnitude = magnitude;
+}
+
+/**
+   \param attenuation The attenuation of the Field (the bigger the smaller the region of influence)
+*/
+void Field::setAttenuation(const float& attenuation)
+{
+  this->attenuation = attenuation;
+}
Index: orxonox/branches/physics/src/util/physics/fields/field.h
===================================================================
--- orxonox/branches/physics/src/util/physics/fields/field.h	(revision 4180)
+++ orxonox/branches/physics/src/util/physics/fields/field.h	(revision 4180)
@@ -0,0 +1,59 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+/*! 
+    \file field.h
+    \brief abstract definition of a Physical Field
+
+    This is a totally abstract class, that only enables different Physical Fields to 
+    exist on a common Level.
+*/
+
+#ifndef _FIELD_H
+#define _FIELD_H
+
+#include "p_node.h"
+
+// FORWARD DEFINITION
+
+
+
+//! An abstract class that represents a Force.
+class Field : public PNode 
+{
+ public:
+  Field();
+  virtual ~Field();
+
+  /** 
+      \param data This is the data given to this force, to calculate the ForceVector
+      \returns The Force Vector
+  */
+  virtual Vector calcForce(const Vector& data) const = 0;
+
+  void setMagnitude(const float& magnitude);
+  /** \returns The Magnitude of the Field */
+  inline const float& getMagnitude(void) const {return this->magnitude;}
+
+  void setAttenuation(const float& attenuation);
+  /** \returns The Attenuation of the Fiels */
+  inline const float& getAttenuation(void) const {return this->attenuation;}
+
+ private:
+  float magnitude;                //!< The strength of the field
+  float attenuation;              //!< The Attenuation (the bigger the shorter the influenced distance).
+};
+
+#endif /* _FIELD_H */
Index: orxonox/branches/physics/src/util/physics/fields/gravity.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/fields/gravity.cc	(revision 4180)
+++ orxonox/branches/physics/src/util/physics/fields/gravity.cc	(revision 4180)
@@ -0,0 +1,52 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "gravity.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+Gravity::Gravity () 
+{
+   this->setClassName ("Gravity");
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+Gravity::~Gravity () 
+{
+  // delete what has to be deleted here
+}
+
+/**
+   \brief calculates the Gravity on any point in space
+   \param data The Position of the Point in space to attache gravity to.
+   \returns The force.
+*/
+Vector Gravity::calcForce(const Vector& data) const
+{
+  return /*(this->getAbsDir().apply(Vector(0,1,0)))*/ Vector(0,-1,0) * this->getMagnitude();
+}
+
+
Index: orxonox/branches/physics/src/util/physics/fields/gravity.h
===================================================================
--- orxonox/branches/physics/src/util/physics/fields/gravity.h	(revision 4180)
+++ orxonox/branches/physics/src/util/physics/fields/gravity.h	(revision 4180)
@@ -0,0 +1,29 @@
+/*! 
+    \file gravity.h
+    \brief Definition of ...
+
+*/
+
+#ifndef _GRAVITY_H
+#define _GRAVITY_H
+
+#include "field.h"
+
+// FORWARD DEFINITION
+
+
+
+//! A class for ...
+class Gravity : public Field {
+
+ public:
+  Gravity();
+  virtual ~Gravity();
+
+  virtual Vector calcForce(const Vector& data) const;
+
+ private:
+
+};
+
+#endif /* _GRAVITY_H */
